
/****************************************************************************
 *    
 * VRML 2.0 to RW3.0 Converter
 * Copyright (C) 1997 Criterion Technologies
 *
 * Author  : Damian Scallan 
 *
 * Module  : NodeStubs.h
 *                                                                         
 * Purpose : Contains stubs for node conversion functions
 *          awaiting implementation
 *
 ****************************************************************************/

#ifndef NODESTUBS_H
#define NODESTUBS_H

/****************************************************************************
 Includes
 */

#include "_rpvrml.h"
#include "abstractnode.h"
#include "types.h"

/****************************************************************************
 Function prototypes
 */

#ifdef    __cplusplus
extern          "C"
{
#endif         /* __cplusplus */

    RwBool          AudioClip_Convert(AbstractNode * an);
    RwBool          Background_Convert(AbstractNode * an);
    RwBool          ColorInterpolator_Convert(AbstractNode * an);
    RwBool          CoordinateInterpolator_Convert(AbstractNode * an);
    RwBool          CylinderSensor_Convert(AbstractNode * an);
    RwBool          Fog_Convert(AbstractNode * an);
    RwBool          Inline_Convert(AbstractNode * an);
    RwBool          LOD_Convert(AbstractNode * an);
    RwBool          NavigationInfo_Convert(AbstractNode * an);
    RwBool          NormalInterpolator_Convert(AbstractNode * an);
    RwBool          OrientationInterpolator_Convert(AbstractNode * an);
    RwBool          PlaneSensor_Convert(AbstractNode * an);
    RwBool          PositionInterpolator_Convert(AbstractNode * an);
    RwBool          ProximitySensor_Convert(AbstractNode * an);
    RwBool          ScalarInterpolator_Convert(AbstractNode * an);
    RwBool          Script_Convert(AbstractNode * an);
    RwBool          Sound_Convert(AbstractNode * an);
    RwBool          SphereSensor_Convert(AbstractNode * an);
    RwBool          Switch_Convert(AbstractNode * an);
    RwBool          TimeSensor_Convert(AbstractNode * an);
    RwBool          TouchSensor_Convert(AbstractNode * an);
    RwBool          Viewpoint_Convert(AbstractNode * an);
    RwBool          VisibilitySensor_Convert(AbstractNode * an);
    RwBool          WorldInfo_Convert(AbstractNode * an);

#ifdef    __cplusplus
}
#endif         /* __cplusplus */

#endif  /* NODESTUBS_H */
